Std Group/ru: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Created page with "Общие сведения о добавлении объектов в документ смотрите в разделе Part_Feature/ru|Конструктивный эл...")
 
(36 intermediate revisions by 3 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Docnav
{{Docnav/ru
|[[Std_Part/ru|Создать деталь]]
|[[Std Part|Part]]
|[[Std_LinkMake/ru|Создать ссылку]]
|[[PartDesign Body|Create body]]
|[[Std_Base/ru|Стандартные команды и инструменты]]
|[[PartDesign_Workbench|PartDesign]]
|IconL=Std_Part.png
|IconL=Std_Part.svg
|IconR=Std_LinkMake.svg
|IconC=Workbench_PartDesign.svg
|IconC=Freecad.svg
|IconR=PartDesign Body.png
}}
}}


{{GuiCommand
{{GuiCommand/ru
|Name/ru=Создать группу
|Name=Std Group
|Name=Std_Group
|MenuLocation=Tree View → Right click on the document name
|MenuLocation=[[Tree_view/ru|Древовидное представление]] → Правый клик на имени документа → Создать группу
|Workbenches=All
|Workbenches=Все
|Shortcut=
|Shortcut=
|Version=
|SeeAlso=[[Draft_SelectGroup|Draft SelectGroup]], [[Draft_AddToGroup|Draft AddToGroup]
|SeeAlso=[[Std_Part/ru|Создать деталь]], [[Draft_SelectGroup/ru|Выбрать группу]], [[Draft_AddToGroup/ru|Переместить в группу]]
]}}
}}


==Описание==
==Description==


[[Std_Group|Std Group]] (internally called [[App_DocumentObjectGroup|App DocumentObjectGroup]]) is a general purpose container that allows you to group different types of objects in the [[Tree_view|Tree view]], regardless of their data type. It is used as a simple folder to categorize and organize the objects in your model, in order to keep a logical structure. Std Groups may be nested inside other Std Groups.
This command lets you create a group in the tree view.
<br />
It can be used for organizing the structure of your model.


The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the {{MenuCommand|structure toolbar}} that is available in all [[Workbenches|workbenches]].
==Use==


To group 3D objects as a single unit, with the intention of creating assemblies, use [[Std_Part|Std Part]] instead.
Right-click on the name of your FreeCAD-document in the tree-view and choose "create group".
<br />
A group will be created automatically and give the icon of a directory and an automatically chosen name.
<br />
You can rename the group by right-clicking on the group and choosing "rename" or using "F2" on your keyboard.
<br />
Push FreeCAD-objects into the group or pull them out of the group by clicking on the desired object,
<br />
keep left-mouse button pressed and using drag&drop-style to drag the object to desired new location.
<br />
As long as there is a "circle with a diagonal line"-sign below the cursor you can't drop your object here.
<br />
As soon as the sign changes to a "plus"-symbol it is possible to drop your object here.
<br />


[[File:Std_Group_example.png]]
# Right click on active document or on existing group in the [[Document structure|Tree View]] and select {{KEY|Create Group...}}
# Drag-n-drop objects into the group


{{Caption|Various elements inside Std Groups in the tree view.}}


==Применение==
[[Image:group_with_objects.png|300px]]


# Do one of the following:
==Options==
#* Right-click the name of the document in the [[Tree_view|Tree view]] and in the context menu choose {{MenuCommand|Create group...}}.
#* Press the {{Button|[[Image:Std_Group.svg|16px]] [[Std_Group|Create group]]}} button.
# An empty Group is created.
# To add objects to the Group, select them in [[Tree_view|Tree view]], and drag and drop them onto the Group.
# To remove objects from the Group, drag them out of the Group, and onto the document label at the top of the [[Tree_view|Tree view]].
# Objects can also be added and removed by editing the {{PropertyData|Group}} property of the Group.


==Свойства==
* To rename the group select a group and press {{KEY|F2}}, or right click a group and select {{KEY|Rename}}


The [[Std_Group|Std Group]], internally called [[App_DocumentObjectGroup|App DocumentObjectGroup]] ({{incode|App::DocumentObjectGroup}} class), is derived from the basic [[App_DocumentObject|App DocumentObject]] ({{incode|App::DocumentObject}} class) and inherits all its properties.
==Properties==


The Std Group has the same properties as the [[App_FeaturePython#Properties|App FeaturePython]], which is the most basic instance of an [[App_DocumentObject|App DocumentObject]]. It also has the following additional properties in the [[Property_editor|property editor]]. Hidden properties can be shown by using the {{MenuCommand|Show all}} command in the context menu of the [[Property_editor|property editor]].
* {{PropertyData|Label}}: Name of the group


=== Данные ===
==Scripting==


{{TitleProperty|Основные}}
Following command adds new group to the active document:

* {{PropertyData|Group|LinkList}}: a list of referenced objects. By default, it is empty {{value|[]}}.
* {{PropertyData|_ Group Touched|Bool|Hidden}}: whether the group is touched or not.

==Программирование==

<div class="mw-translate-fuzzy">
{{Emphasis|См. так же:}} [[FreeCAD_Scripting_Basics/ru|Основы составления скриптов FreeCAD]], и [[scripted_objects/ru|создание объектов через скрипт]].
</div>

Общие сведения о добавлении объектов в документ смотрите в разделе [[Part_Feature/ru|Конструктивный элемент верстака Part]].

A Std Group ([[App_DocumentObjectGroup|App DocumentObjectGroup]]) is created with the {{incode|addObject()}} method of the document. Once a Group exists, other objects can be added to it with the {{incode|addObject()}} or {{incode|addObjects()}} methods.


{{Code|code=
{{Code|code=
import FreeCAD as App
App.ActiveDocument.addObject("App::DocumentObjectGroup","Group")

doc = App.newDocument()
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")

group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()
}}
}}
==Limitations==


This basic {{incode|App::DocumentObjectGroup}} doesn't have a Proxy object so it can't be fully used for sub-classing.
Command needs an open FreeCAD-document to work.


For [[Python|Python]] subclassing you should create a {{incode|App::DocumentObjectGroupPython}} object.
==Links==

{{Code|code=
import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"
}}

For example, a [[FEM Analysis|FEM Analysis]] is an {{incode|App::DocumentObjectGroupPython}} object with a custom icon and additional properties.

==Ссылки==


* [[Arch tutorial#Organizing your model|Use case in Arch Tutorial]]
* [[Arch tutorial#Organizing your model|Use case in Arch Tutorial]]
* [[Document_structure|Document structure]]
* [[Document_structure|Document structure]]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Organizing your model]
* [http://www.freecadweb.org/wiki/index.php?title=Arch_tutorial#Organizing_your_model Organizing your model]
* [[Ways_To_Organize_Objects|Organize objects in the document]]


==Notes==


{{Docnav/ru

|[[Std_Part/ru|Создать деталь]]
{{Docnav
|[[Std_LinkMake/ru|Создать ссылку]]
|[[Std Part|Part]]
|[[Std_Base/ru|Стандартные команды и инструменты]]
|[[PartDesign Body|Create body]]
|IconL=Std_Part.svg
|[[PartDesign_Workbench|PartDesign]]
|IconR=Std_LinkMake.svg
|IconL=Std_Part.png
|IconC=Workbench_PartDesign.svg
|IconC=Freecad.svg
|IconR=PartDesign Body.png
}}
}}


{{Std_Base_navi{{#translation:}}}}
{{Std Base}}
{{Userdocnavi{{#translation:}}}}

{{Userdocnavi}}

Latest revision as of 18:50, 2 September 2022

Создать группу

Системное название
Std_Group
Расположение в меню
Древовидное представление → Правый клик на имени документа → Создать группу
Верстаки
Все
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Создать деталь, Выбрать группу, Переместить в группу

Описание

Std Group (internally called App DocumentObjectGroup) is a general purpose container that allows you to group different types of objects in the Tree view, regardless of their data type. It is used as a simple folder to categorize and organize the objects in your model, in order to keep a logical structure. Std Groups may be nested inside other Std Groups.

The Std Group tool is not defined by a particular workbench, but by the base system, thus it is found in the structure toolbar that is available in all workbenches.

To group 3D objects as a single unit, with the intention of creating assemblies, use Std Part instead.

Various elements inside Std Groups in the tree view.

Применение

  1. Do one of the following:
    • Right-click the name of the document in the Tree view and in the context menu choose Create group....
    • Press the Create group button.
  2. An empty Group is created.
  3. To add objects to the Group, select them in Tree view, and drag and drop them onto the Group.
  4. To remove objects from the Group, drag them out of the Group, and onto the document label at the top of the Tree view.
  5. Objects can also be added and removed by editing the ДанныеGroup property of the Group.

Свойства

The Std Group, internally called App DocumentObjectGroup (App::DocumentObjectGroup class), is derived from the basic App DocumentObject (App::DocumentObject class) and inherits all its properties.

The Std Group has the same properties as the App FeaturePython, which is the most basic instance of an App DocumentObject. It also has the following additional properties in the property editor. Hidden properties can be shown by using the Show all command in the context menu of the property editor.

Данные

Основные

  • ДанныеGroup (LinkList): a list of referenced objects. By default, it is empty [].
  • Данные (Hidden)_ Group Touched (Bool): whether the group is touched or not.

Программирование

Общие сведения о добавлении объектов в документ смотрите в разделе Конструктивный элемент верстака Part.

A Std Group (App DocumentObjectGroup) is created with the addObject() method of the document. Once a Group exists, other objects can be added to it with the addObject() or addObjects() methods.

import FreeCAD as App

doc = App.newDocument()
group = App.ActiveDocument.addObject("App::DocumentObjectGroup", "Group")

obj1 = App.ActiveDocument.addObject("PartDesign::Body", "Body")
obj2 = App.ActiveDocument.addObject("Part::Box", "Box")

group.addObjects([obj1, obj2])
App.ActiveDocument.recompute()

This basic App::DocumentObjectGroup doesn't have a Proxy object so it can't be fully used for sub-classing.

For Python subclassing you should create a App::DocumentObjectGroupPython object.

import FreeCAD as App

doc = App.newDocument()
obj = App.ActiveDocument.addObject("App::DocumentObjectGroupPython", "Name")
obj.Label = "Custom label"

For example, a FEM Analysis is an App::DocumentObjectGroupPython object with a custom icon and additional properties.

Ссылки